import { CLIENT_CONFIG_FILE, PLUGIN_NAME } from './utils.js';
export const oneClickCopyPlugin = (options = {}) => (app) => {
    const { copySelector = [
        'div[class*="language-"] pre',
        'div[class*="aside-code"] aside',
    ], copyMessage = 'Copied successfully!', toolTipMessage = 'Copy to clipboard', duration = 3000, } = options;
    const pluginObj = {
        name: PLUGIN_NAME,
        define: {
            __ONE_CLICK_COPY_COPY_SELECTOR__: copySelector,
            __ONE_CLICK_COPY_COPY_MESSAGE__: copyMessage,
            __ONE_CLICK_COPY_TOOL_TIP_MESSAGE__: toolTipMessage,
            __ONE_CLICK_COPY_DURATION__: duration, // Successful prompt disappearing time.
        },
        clientConfigFile: CLIENT_CONFIG_FILE,
    };
    return pluginObj;
};
